#!/bin/sh
#   EZFIO is an automatic generator of I/O libraries
#   Copyright (C) 2009 Anthony SCEMAMA, CNRS
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License along
#   with this program; if not, write to the Free Software Foundation, Inc.,
#   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
#   Anthony Scemama
#   LCPQ - IRSAMC - CNRS
#   Universite Paul Sabatier
#   118, route de Narbonne      
#   31062 Toulouse Cedex 4      
#   scemama@irsamc.ups-tlse.fr


# Clean the previous work
[ -e ../libezfio.a ] && rm ../lib/libezfio.a 
[ -e ../libezfio_irp.a ] && rm ../lib/libezfio_irp.a 

# Find where is libz.a
. ../version
if [[ -z $LIBZ ]]
then
  LIBZ=`ldd ../lib/libezfio.so.$VERSION | grep libz | cut -d " " -f 3 | cut -d '.' -f 1`.a 
fi
if [[ ! -e $LIBZ ]]
then
  echo "Error:" >&2
  echo "------" >&2
  echo "libz.a was not found. If you don't have it, install the zlib-static package." >&2
  echo "If you have it, set the environment variable LIBZ to the full path of libz.a." >&2
  echo "Only the ezfio library will be linked statically.">&2
  echo "Use -lz in your Makefile to link dynamically zlib.">&2
  echo "------" >&2
else
  ar x $LIBZ 
  ar cru ../lib/libezfio.a *.o 
  rm *.o
fi

ar cru ../lib/libezfio.a $@ 
cp ../lib/libezfio.a ../lib/libezfio_irp.a
ar dv ../lib/libezfio_irp.a irp_stack.irp.o
